// ignore_for_file: non_constant_identifier_names, unused_import
import "package:general_lib/general_lib.dart";
// import "dart:convert";



class TemplateData extends JsonScheme {

  
  TemplateData(super.rawData);
   
  static Map get defaultData {
    return {"@type":"TemplateData","name":"","path":"","data":[0]};
  }

  
  String? get special_type {
    try {
      if (rawData["@type"] is String == false){
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }


  
  String? get name {
    try {
      if (rawData["name"] is String == false){
        return null;
      }
      return rawData["name"] as String;
    } catch (e) {
      return null;
    }
  }


  
  String? get path {
    try {
      if (rawData["path"] is String == false){
        return null;
      }
      return rawData["path"] as String;
    } catch (e) {
      return null;
    }
  }


  
  List<num> get data {
    try {
      if (rawData["data"] is List == false){
        return [];
      }
      return (rawData["data"] as List).cast<num>();
    } catch (e) {
      return [];
    }
  }


  
  static TemplateData create({

    String special_type = "TemplateData",
    String? name,
    String? path,
      List<num>? data,
})  {
    // TemplateData templateData = TemplateData({
Map templateData_data_create_json = {
  
      "@type": special_type,
      "name": name,
      "path": path,
      "data": data,


};


          templateData_data_create_json.removeWhere((key, value) => value == null);
TemplateData templateData_data_create = TemplateData(templateData_data_create_json);

return templateData_data_create;



      }
}