// ignore_for_file: non_constant_identifier_names, unused_local_variable, empty_catches

import 'dart:async';
import 'dart:typed_data';

import 'package:general_lib/scheme/socket_connection.dart';
import 'package:general_lib/tcp/tcp_client_data.dart';
import 'package:universal_io/io.dart';

class TcpSocketClient implements TcpSocketClientData {  
  @override
  late Socket socket;
  @override
  dynamic host;
  @override
  int port;
  @override
  dynamic sourceAddress;
  @override
  int sourcePort = 0;
  @override
  Duration? timeout;
  @override
  bool isConnect = false;
  @override
  Map connect_data = {};
  @override
  late Duration ping_interval;

  TcpSocketClient({
    required this.host,
    required this.port,
    this.sourceAddress,
    this.sourcePort = 0,
    this.timeout,
    Map? connectData,
    Duration? pingInterval,
  }) {
    pingInterval ??= Duration(seconds: 1);
    ping_interval = pingInterval;
    if (connectData != null) {
      connect_data.addAll(connect_data);
    }
  }

  @override
  Future<void> connect({required FutureOr<void> Function(Uint8List data) onSocketData, required FutureOr<void> Function(SocketConnection socketConnection) onSocketConnection, Duration delayDuration = const Duration(milliseconds: 500)}) async{
    return ;
  }

  @override
  Future<void> send({required List<int> value, Duration durationTimeOut = const Duration(minutes: 1), Duration durationDelay = const Duration(milliseconds: 1)}) async {
    return;
  }

  @override
  void sendSync({required List<int> value, Duration durationTimeOut = const Duration(minutes: 1)}) {
    return;
  }
}
